---
title: PerformanceLongTaskTiming
slug: Web/API/PerformanceLongTaskTiming
tags:
  - API
  - Interface
  - Long Tasks API
  - PerformanceLongTaskTiming
  - Reference
---
<p>{{SeeCompatTable}}{{APIRef("Long Tasks")}}</p>

<p>The <strong><code>PerformanceLongTaskTiming</code></strong> interface of the <a href="/en-US/docs/Web/API/Long_Tasks_API">Long Tasks API</a> reports instances of long tasks.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref("PerformanceLongTaskTiming.attribution")}} {{readonlyinline}}</dt>
	<dd>Returns a sequence of {{domxref('TaskAttributionTiming')}} instances.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Long Tasks','#sec-PerformanceLongTaskTiming','PerformanceLongTaskTiming')}}</td>
			<td>{{Spec2('Long Tasks')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PerformanceLongTaskTiming")}}</p>
